## alpine 0.82+dfsg

=== imap/Makefile ===
# ========================================================================
# Copyright 1988-2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# 
# ========================================================================

# Program:	IMAP Toolkit Makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU
#
# Date:		7 December 1989
# Last Edited:	14 December 2006


# Normal command to build IMAP toolkit:
#  make <port> [EXTRAAUTHENTICATORS=xxx] [EXTRADRIVERS=xxx] [EXTRACFLAGS=xxx]
#	       [PASSWDTYPE=xxx] [SSLTYPE=xxx] [IP=n]


# Port name.  These refer to the *standard* compiler on the given system.
# This means, for example, that the hpx port is for HP's compiler and not for
# a non-standard compiler such as gcc.
#
# If you are using gcc and it is not the standard compiler on your system, try
# using an ANSI port that is close to what you have.  For example, if your
# system is SVR4ish, try a32 or lnx; if it's more BSDish, try nxt, mct, or bsi.
#
# The following ports are bundled:
# a32	AIX 3.2 for RS/6000
# a41	AIX 4.1 for RS/6000
# aix	AIX/370 (not RS/6000!!)
# ami	AmigaDOS
# am2	AmigaDOS with a 68020+
# ama	AmigaDOS using AS225R2
# amn	AmigaDOS with a 680x0 using "new" socket library
# aos	AOS for RT
# art	AIX 2.2.1 for RT
# asv	Altos SVR4
# aux	A/UX
# bs3	BSD/i386 3.0 and higher
# bsd	generic BSD 4.3 (as in ancient 1980s version)
# bsf	FreeBSD
# bsi	BSD/i386
# bso	OpenBSD (yes, yet another one...)
# cvx	Convex
# cyg	Cygwin
# d-g	Data General DG/UX prior to 5.4 (d41 port no longer exists)
# d54	Data General DG/UX 5.4
# do4	Apollo Domain/OS sr10.4
# dpx	Bull DPX/2 B.O.S.
# drs	ICL DRS/NX
# dyn	Dynix
# epx	EP/IX
# ga4	GCC AIX 4.x for RS/6000
# gas	GCC Altos SVR4
# gcs	GCC Solaris with Blastwave Community Open Source Software
# gh9   GCC HP-UX 9.x
# ghp	GCC HP-UX 10.x
# ghs	GCC HP-UX 10.x with Trusted Computer Base
# go5	GCC 2.7.1 (95q4 from Skunkware _not_ 98q2!) SCO Open Server 5.0.x
# gsc	GCC Santa Cruz Operation
# gsg	GCC SGI
# gso	GCC Solaris
# gsu	GCC SUN-OS
# gul	GCC RISC Ultrix (DEC-5000)
# h11	HP-UX 11i
# hpp	HP-UX 9.x (see gh9)
# hpx	HP-UX 10.x (see ghp, ghs, hxd, and shp)
# hxd	HP-UX 10.x with DCE security (see shp)
# isc	Interactive Systems
# ldb	Debian Linux
# lfd	Fedora Core 4
# lnx	Linux with traditional passwords and crypt() in the C library
#	 (see lnp, sl4, sl5, and slx)
# lnp	Linux with Pluggable Authentication Modules (PAM)
# lmd	Mandrake Linux
# lrh	RedHat Linux 7.2 and later
# lsu	SuSE Linux (same as lrh)
# lyn	LynxOS
# mct	MachTen
# mnt	Atari ST Mint (not MacMint)
# neb	NetBSD/FreeBSD
# nec	NEC UX
# nto	QNX Neutrine RTP
# nxt	NEXTSTEP
# nx3	NEXTSTEP 3.x
# osf	OSF/1 (see sos, os4)
# os4	OSF/1 (Digital UNIX) 4
# osx	Mac OS X
# oxp	Mac OS X with Pluggable Authentication Modules (PAM)
# ptx	PTX
# pyr	Pyramid
# qnx	QNX 4
# s40	SUN-OS 4.0 (*not* Solaris)
# sc5	SCO Open Server 5.0.x (see go5)
# sco	Santa Cruz Operation (see sc5, go5)
# shp	HP-UX with Trusted Computer Base
# sgi	Silicon Graphics IRIX
# sg6	Silicon Graphics IRIX 6.5
# sl4	Linux using -lshadow to get the crypt() function
# sl5	Linux with shadow passwords, no extra libraries
# slx	Linux using -lcrypt to get the crypt() function
# snx	Siemens Nixdorf SININX or Reliant UNIX
# soc	Solaris with /opt/SUNWspro/bin/cc
# sol	Solaris (won't work unless "ucbcc" works -- use gso instead)
# sos	OSF/1 with SecureWare
# ssn	SUN-OS with shadow password security
# sun	SUN-OS 4.1 or better (*not* Solaris) (see ssn)
# sv2	SVR2 on AT&T PC-7300 (incomplete port)
# sv4	generic SVR4
# ult	RISC Ultrix (DEC-5000)
# uw2	UnixWare SVR4.2
# vul	VAX Ultrix
# vu2	VAX Ultrix 2.3 (e.g. for VAXstation-2000 or similar old version)


# Extra authenticators (e.g. OTP, Kerberos, etc.).  Adds linkage for
# auth_xxx.c and executes Makefile.xxx, where xxx is the name of the
# authenticator.  Some authenticators are only available from third parties.
#
# The following extra authenticators are bundled:
# gss	Kerberos V

EXTRAAUTHENTICATORS=


# Additional mailbox drivers.  Add linkage for xxxdriver.  Some drivers are
# only available from third parties.
#
# The following extra drivers are bundled:
# mbox	if file "mbox" exists on the home directory, automatically moves mail
#	 from the spool directory to "mbox" and uses "mbox" as INBOX.

EXTRADRIVERS=mbox


# Plaintext password type.  Defines how plaintext password authentication is
# done on this system.
#
# The following plaintext login types are bundled:
# afs	AFS authentication database
# dce	DCE authentication database
# gss	Kerberos V
# nul	plaintext authentication never permitted
# pam	PAM authentication (note: for Linux, you should use the "lnp" port
#	 instead of setting this...also, you may have to modify PAMLDFLAGS
#	 in the imap-[]/src/osdep/unix/Makefile
# pmb	PAM authentication for broken implementations such as Solaris.
#	 you may have to modify PAMLDFLAGS
# std	system standard (typically passwd file), determined by port
# two	try alternative (defined by CHECKPWALT), then std

PASSWDTYPE=std


# SSL type.  Defines whether or not SSL support is on this system
#
# The following SSL types are bundled:
# none	no SSL support
# unix	SSL support using OpenSSL
# nopwd	SSL support using OpenSSL, and plaintext authentication permitted only
#	in SSL/TLS sessions
# sco	link SSL before other libraries (for SCO systems)
# unix.nopwd	same as nopwd
# sco.nopwd	same as nopwd, plaintext authentication in SSL/TLS only
#
# SSLTYPE=nopwd is now the default as required by RFC 3501

SSLTYPE=nopwd


# IP protocol version
#
# The following IP protocol versions are defined:
# o	IPv4 support, no DNS (truly ancient systems)
# 4	(default) IPv4 support only
# 6	IPv6 and IPv4 support

IP=4
IP6=6


# The following extra compilation flags are defined.  None of these flags are
# recommended.  If you use these, include them in the EXTRACFLAGS.
#
# -DDISABLE_POP_PROXY
#	By default, the ipop[23]d servers offer POP->IMAP proxy access,
#	which allow a POP client to access mail on an IMAP server by using the
#	POP server as a go-between.  Setting this option disables this
#	facility.
#
# -DOLDFILESUFFIX=\"xxx\"
#	Change the default suffix appended to the backup .newsrc file from
#	"old".
#
# -DSTRICT_RFC822_TIMEZONES
#	Disable recognition of the non-standard UTC (0000), MET (+0100),
#	EET (+0200), JST (+0900), ADT (-0300), AST (-0400), YDT (-0800),
#	YST (-0900), and HST (-1000) symbolic timezones.
#
# -DBRITISH_SUMMER_TIME
#	Enables recognition of non-standard symbolic timezone BST as +0100.
#
# -DBERING_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone BST as -1100.
#
# -DNEWFOUNDLAND_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone NST as -0330.
#
# -DNOME_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone NST as -1100.
#
# -DSAMOA_STANDARD_TIME
#	Enables recognition of non-standard symbolic timezone SST as -1100.
#				
# -DY4KBUGFIX
#	Turn on the Y4K bugfix (yes, that's year 4000).  It isn't well-known,
#	but century years evenly divisible by 4000 are *not* leap years in the
#	Gregorian calendar.  A lot of "Y2K compilant" software does not know
#	about this rule.  Remember to turn this on sometime in the next 2000
#	years.
#
# -DUSEORTHODOXCALENDAR
#	Use the more accurate Eastern Orthodox calendar instead of the
#	Gregorian calendar.  The century years which are leap years happen
#	at alternating 400 and 500 year intervals without shifts every 4000
#	years.  The Orthodox and Gregorian calendars diverge by 1 day for
#	gradually-increasing intervals, starting at 2800-2900, and becoming
#	permanent at 48,300.
#
# -DUSEJULIANCALENDAR
#	Use the less accurate Julian calendar instead of the Gregorian
#	calendar.  Leap years are every 4 years, including century years.
#	My apologies to those in the English-speaking world who object to
#	the reform of September 2, 1752 -> September 14, 1752, since this
#	code still uses January 1 (which Julius Ceasar decreed as the start
#	of the year, which since 153 BCE was the day that Roman consuls
#	took office), rather than the traditional March 25 used by the
#	British.  As of 2005, the Julian calendar and the Gregorian calendar
#	diverge by 15 days.

EXTRACFLAGS=


# Extra linker flags (additional/alternative libraries, etc.)

EXTRALDFLAGS=


# Special make flags (e.g. to override make environment variables)

EXTRASPECIALS=
SPECIALS=


# Normal commands

CAT=cat
CD=cd
LN=ln -s
MAKE=make
MKDIR=mkdir
BUILDTYPE=rebuild
RM=rm -rf
SH=sh
SYSTEM=unix
TOOLS=tools
TOUCH=touch


# Primary build command

BUILD=$(MAKE) build EXTRACFLAGS='$(EXTRACFLAGS)'\
 EXTRALDFLAGS='$(EXTRALDFLAGS)'\
 EXTRADRIVERS='$(EXTRADRIVERS)'\
 EXTRAAUTHENTICATORS='$(EXTRAAUTHENTICATORS)'\
 PASSWDTYPE=$(PASSWDTYPE) SSLTYPE=$(SSLTYPE) IP=$(IP)\
 EXTRASPECIALS='$(EXTRASPECIALS)'


# Make the IMAP Toolkit

all:	c-client SPECIALS rebuild bundled

c-client:
	@echo Not processed yet.  In a first-time build, you must specify
	@echo the system type so that the sources are properly processed.
	@false


SPECIALS:
	echo $(SPECIALS) > SPECIALS

# Note on SCO you may have to set LN to "ln".

a32 a41 aix bs3 bsi d-g d54 do4 drs epx ga4 gas gh9 ghp ghs go5 gsc gsg gso gul h11 hpp hpx lnp lyn mct mnt neb nec nto nxt nx3 osf os4 ptx qnx sc5 sco sgi sg6 shp sl4 sl5 slx snx soc sol sos uw2: an
	$(BUILD) BUILDTYPE=$@

# If you use sv4, you may find that it works to move it to use the an process.
# If so, you probably will want to delete the "-Dconst=" from the sv4 CFLAGS in
# the c-client Makefile.

aos art asv aux bsd cvx dpx dyn isc pyr sv4 ult vul vu2: ua
	$(BUILD) BUILDTYPE=$@


# Knotheads moved Kerberos and SSL locations on these platforms

bsf:	an
	$(BUILD) BUILDTYPE=$@ \
	PASSWDTYPE=pam \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock PAMLDFLAGS=-lpam"

bso:	an
	$(BUILD) BUILDTYPE=$@ \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"

cyg:	an
	$(BUILD) BUILDTYPE=cyg \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/ssl/certs SSLKEYS=/usr/ssl/certs"

gcs:	an
	$(BUILD) BUILDTYPE=gso \
	SPECIALS="SSLINCLUDE=/opt/csw/include/openssl SSLLIB=/opt/csw/lib SSLCERTS=/opt/csw/ssl/certs SSLKEYS=/opt/csw/ssl/certs"

ldb:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"

lfd:	an	# yes, Fedora is different than RHE (at least today it is)
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"

lmd:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/lib/ssl/certs SSLKEYS=/usr/lib/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"

lrh lsu:	an
	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/share/ssl/certs SSLKEYS=/usr/share/ssl/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"

oxp:	an
	$(TOUCH) ip6
	$(BUILD) BUILDTYPE=osx IP=$(IP6) EXTRAAUTHENTICATORS="$(EXTRAAUTHENTICATORS) gss" \
	PASSWDTYPE=pam \
	EXTRACFLAGS="$(EXTRACFLAGS) -DMAC_OSX_KLUDGE=1" \

=== imap/src/dmail/Makefile ===
# ========================================================================
# Copyright 1988-2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# 
# ========================================================================


# Program:	dmail Makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU
#
# Date:		5 April 1993
# Last Edited:	30 August 2006


C = ../c-client
CCLIENTLIB = $C/c-client.a
SHELL = /bin/sh

# Get local definitions from c-client directory

CC = `cat $C/CCTYPE`
CFLAGS = -I$C `cat $C/CFLAGS`
LDFLAGS = $(CCLIENTLIB) `cat $C/LDFLAGS`

dmail: $(CCLIENTLIB) dmail.o
	$(CC) $(CFLAGS) -o dmail dmail.o $(LDFLAGS)

dmail.o: $C/mail.h $C/misc.h $C/osdep.h

$(CCLIENTLIB):
	cd $C;make

clean:
	rm -f *.o dmail

# A monument to a hack of long ago and far away...
love:
	@echo 'not war?'

=== imap/src/tmail/Makefile ===
# ========================================================================
# Copyright 1988-2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# 
# ========================================================================


# Program:	tmail Makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU
#
# Date:		5 April 1993
# Last Edited:	30 August 2006


C = ../c-client
CCLIENTLIB = $C/c-client.a
SHELL = /bin/sh

# Get local definitions from c-client directory

CC = `cat $C/CCTYPE`
CFLAGS = -I$C `cat $C/CFLAGS`
LDFLAGS = $(CCLIENTLIB) `cat $C/LDFLAGS`

tmail: $(CCLIENTLIB) tmail.o
	$(CC) $(CFLAGS) -o tmail tmail.o $(LDFLAGS)

tmail.o: $C/mail.h $C/misc.h $C/osdep.h

$(CCLIENTLIB):
	cd $C;make

clean:
	rm -f *.o tmail

# A monument to a hack of long ago and far away...
love:
	@echo 'not war?'

=== imap/src/osdep/unix/Makefile ===
# ========================================================================
# Copyright 1988-2006 University of Washington
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# 
# ========================================================================

# Program:	C client makefile
#
# Author:	Mark Crispin
#		Networks and Distributed Computing
#		Computing & Communications
#		University of Washington
#		Administration Building, AG-44
#		Seattle, WA  98195
#		Internet: MRC@CAC.Washington.EDU
#
# Date:		11 May 1989
# Last Edited:	20 December 2006


# Command line build parameters

EXTRAAUTHENTICATORS=
EXTRADRIVERS=mbox
PASSWDTYPE=std
SSLTYPE=nopwd
IP=4


# The optimization level here for GCC ports is set here for a reason.  It's
# to get you to read this text.
# The general concensus seems to be that -O2 is the one to use.
# Over the years, I've been told to use many different settings, including -O6.
# In recent versions of GCC [as of 2/2005], -O6 generates bad code that, among
# other ill effects, causes infinite loops.
# -O3 seems to be safe, but empirical observation from our local expert
# indicates that in some (many?) cases -O3 code runs slower than -O2.

GCCOPTLEVEL= -O2


# Try to have some consistency in GCC builds.  We want optimization, but we
# also want to be able to debug.

GCCCFLAGS= -g $(GCCOPTLEVEL) -pipe -fno-omit-frame-pointer
GCC4CFLAGS= $(GCCCFLAGS) -Wno-pointer-sign


# Extended flags needed for SSL.  You may need to modify.

SSLDIR=/usr/local/ssl
SSLCERTS=$(SSLDIR)/certs
SSLKEYS=$(SSLCERTS)
SSLINCLUDE=$(SSLDIR)/include
SSLLIB=$(SSLDIR)/lib

SSLCRYPTO=-lcrypto

# Older versions of MIT Kerberos also have a libcrypto.  If so, you may need
# to use this instead
#SSLCRYPTO=$(SSLLIB)/libcrypto.a

# RSA Security Inc. released the RSA public key encryption algorithm into
# the public domain on September 6, 2000.  There is no longer any need to
# use RSAREF.
SSLRSA= # -lRSAglue -lrsaref

SSLCFLAGS= -I$(SSLINCLUDE) -I$(SSLINCLUDE)/openssl\
 -DSSL_CERT_DIRECTORY=\"$(SSLCERTS)\" -DSSL_KEY_DIRECTORY=\"$(SSLKEYS)\"
SSLLDFLAGS= -L$(SSLLIB) -lssl $(SSLCRYPTO) $(SSLRSA)


# Extended flags needed for non-standard passwd types.  You may need to modify.

AFSDIR=/usr/afsws
AFSCFLAGS=-I$(AFSDIR)/include
AFSLIB=$(AFSDIR)/lib
AFSLDFLAGS=-L$(AFSLIB)/afs -L$(AFSLIB) -L$(AFSDIR)/domestic/lib\
 -lkauth -lprot -lubik -lauth -lrxkad -lrx -llwp -ldes -lcom_err\
 $(AFSLIB)/afs/util.a -laudit -lsys
# AFSLDFLAGS may also need -L/usr/ucblib -lucb
DCECFLAGS= -DDCE_MINIMAL -DPASSWD_OVERRIDE=\"/opt/pop3/passwd/passwd\"
DCELDFLAGS= -ldce
PAMLDFLAGS= -lpam -ldl


# Build parameters normally set by the individual port

CHECKPW=std
LOGINPW=std
SIGTYPE=bsd
CRXTYPE=std
ACTIVEFILE=/usr/lib/news/active
SPOOLDIR=/usr/spool
MAILSPOOL=$(SPOOLDIR)/mail
NEWSSPOOL=$(SPOOLDIR)/news
RSHPATH=/usr/ucb/rsh
LOCKPGM=/etc/mlock
MD5PWD="/etc/cram-md5.pwd"


# Default formats for creating new mailboxes and for empty mailboxes in the
# default namespace; must be set to the associated driver's prototype.
#
# The CREATEPROTO is the default format for new mailbox creation.
# The EMPTYPROTO is the default format for handling zero-byte files.
#
# Normally, this is set by the individual port.
#
# NOTE: namespace formats (e.g. mh and news) can not be set as a default format
# since they do not exist in the default namespace.  Also, it is meaningless to
# set certain other formats (e.g. mbx, mx, and mix) as the EMPTYPROTO since
# these formats can never be empty files.

CREATEPROTO=unixproto
EMPTYPROTO=unixproto


# Commands possibly overriden by the individual port

ARRC=ar rc
CC=cc
LN=ln -s
RANLIB=ranlib


# Standard distribution build parameters

DEFAULTAUTHENTICATORS=ext md5 pla log
#
# mh needs to be after any other directory format drivers (such as mx or mix)
# since otherwise mh will seize any directory that is under the mh path.
# However, mh needs to be before any sysinbox formats (such as mmdf or unix)
# since otherwise INBOX won't work correctly when mh_allow_inbox is set.
#
DEFAULTDRIVERS=imap nntp pop3 mix mx mbx tenex mtx mh mmdf unix news phile
CHUNKSIZE=65536

# Normally no need to change any of these

ARCHIVE=c-client.a
BINARIES=osdep.o mail.o misc.o newsrc.o smanager.o utf8.o utf8aux.o siglocal.o \
 dummy.o pseudo.o netmsg.o flstring.o fdstring.o \
 rfc822.o nntp.o smtp.o imap4r1.o pop3.o \
 unix.o mbx.o mmdf.o tenex.o mtx.o news.o phile.o mh.o mx.o mix.o
CFLAGS=-g

CAT=cat
MAKE=make
MV=mv
RM=rm -rf
SH=sh


# Primary build command

BUILD=$(MAKE) build EXTRACFLAGS='$(EXTRACFLAGS)'\
 EXTRALDFLAGS='$(EXTRALDFLAGS)'\
 EXTRADRIVERS='$(EXTRADRIVERS)' EXTRAAUTHENTICATORS='$(EXTRAAUTHENTICATORS)'\
 PASSWDTYPE=$(PASSWDTYPE) SSLTYPE=$(SSLTYPE) IP=$(IP)


# Here if no make argument established

missing: osdep.h
	$(MAKE) all `$(CAT) SPECIALS`

osdep.h:
	@echo You must specify what type of system
	@false


# Current ports

a32:	# AIX 3.2 for RS/6000
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -Dunix=1 -D_BSD" \
	 BASELDFLAGS="-lbsd"

a41:	# AIX 4.1 for RS/6000
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CHECKPW=a41 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -Dunix=1 -D_BSD -qro -qroconst" \
	 BASELDFLAGS="-ls"

aix:	# AIX/370
	@echo You are building for AIX on an S/370 class machine
	@echo If you want AIX on an RS/6000 you need to use a32 or a41 instead!
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g" \
	 BASELDFLAGS="-lbsd"

aos:	# AOS for RT
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

art:	# AIX 2.2.1 for RT
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/control/active \
	 RSHPATH=/bin/rsh \
	 BASECFLAGS="-g -Dconst= -Dvoid=char" \
	 RANLIB=true 

asv:	# Altos SVR4
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 LOGINPW=old \
	 ACTIVEFILE=/usr/spool/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-Dconst= -DSIGSTOP=SIGKILL" \
	 BASELDFLAGS="-lsocket -lrpc -lgen -lcrypt -lxenix" \
	 RANLIB=true

aux:	# A/UX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 BASECFLAGS="-g -B/usr/lib/big/ -Dvoid=char -Dconst=" \
	 RANLIB=true ARRC="ar -rc"

bs3:	# BSD/i386 3.0 or higher
	$(BUILD) `$(CAT) SPECIALS` OS=bsi \
	 CHECKPW=bsi LOGINPW=bsi CRXTYPE=nfs \
	 SPOOLDIR=/var NEWSSPOOL=/var/news/spool \
	 ACTIVEFILE=/var/news/etc/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="$(GCCCFLAGS)" CC=shlicc

bsd:	# BSD UNIX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

bsf:	# FreeBSD
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/lib/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 BASELDFLAGS="-lcrypt"

bsi:	# BSD/i386
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 SPOOLDIR=/var NEWSSPOOL=/var/news/spool \
	 ACTIVEFILE=/var/news/etc/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="$(GCCCFLAGS)"

bso:	# OpenBSD
	$(BUILD) `$(CAT) SPECIALS` OS=bsi \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/usr/local/news/lib/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="$(GCCCFLAGS)"

cvx:	# Convex
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-O -ext -Dconst="

cyg:	# Cygwin - note that most local file drivers don't work!!
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	DEFAULTDRIVERS="imap nntp pop3 mbx unix phile" \
	SIGTYPE=psx CHECKPW=cyg LOGINPW=cyg CRXTYPE=std \
	SPOOLDIR=/var \
	ACTIVEFILE=/usr/local/news/lib/active \
	RSHPATH=/usr/bin/rsh \
	BASECFLAGS="$(GCCCFLAGS)" \
	BASELDFLAGS="-lcrypt" \
	CC=gcc

d-g:	# Data General DG/UX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/local/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Dconst=" \
	 BASELDFLAGS="-lnsl -lsocket" \
	 RANLIB=true

d54:	# Data General DG/UX 5.4
	$(BUILD) `$(CAT) SPECIALS` OS=d-g \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/local/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-g -Dconst=" \
	 BASELDFLAGS="-lnsl -lsocket" \
	 RANLIB=true

dpx:	# Bull DPX/2
	$(BUILD) `$(CAT) SPECIALS` OS=sv4 \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="-Dconst= -DSYSTEM5 -DSHORT_IDENT" \
	 BASELDFLAGS="-linet" \
	 RANLIB=true LN=ln

drs:	# ICL DRS/NX
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-O" \
	 BASELDFLAGS="-lsocket -lgen" \
	 RANLIB=true

do4:	# Apollo Domain/OS sr10.4
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-A systype,bsd4.3 -D_APOLLO_SOURCE" \
	 RANLIB=true

dyn:	# Dynix
	$(BUILD) `$(CAT) SPECIALS` OS=$@ \
	 CRXTYPE=nfs \
	 BASECFLAGS="-g -Dconst="

epx:	# EP/IX
	$(BUILD) `$(CAT) SPECIALS` OS=sv4 \
	 SIGTYPE=sv4 CHECKPW=sv4 LOGINPW=sv4 \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/usr/share/news/active \
	 RSHPATH=/usr/net/rsh \
	 BASECFLAGS="-g -systype svr4" \
	 BASELDFLAGS="-lsocket -lnsl -lgen" \
	 RANLIB=true

ga4:	# GCC AIX 4.1 for RS/6000
	$(BUILD) `$(CAT) SPECIALS` OS=a41 \
	 SIGTYPE=psx CHECKPW=a41 CRXTYPE=nfs \
	 SPOOLDIR=/var/spool \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="-g -Dunix=1 -D_BSD" \
	 BASELDFLAGS="-ls"

gas:	# GCC Altos SVR4
	$(BUILD) `$(CAT) SPECIALS` OS=asv \
	 SIGTYPE=sv4 LOGINPW=old \
	 ACTIVEFILE=/usr/spool/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="-g -O -DALTOS_SYSTEM_V -DSIGSTOP=SIGKILL" \
	 BASELDFLAGS="-lsocket -lrpc -lgen -lcrypt -lxenix" \
	 RANLIB=true CC=gcc

gh9:	# GCC HP-UX 9.x
	$(BUILD) `$(CAT) SPECIALS` OS=hpp \
	 SIGTYPE=psx CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 RANLIB=true CC=gcc

ghp:	# GCC HP-UX 10.x
	$(BUILD) `$(CAT) SPECIALS` OS=hpp \
	 SIGTYPE=psx CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/var/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 RANLIB=true CC=gcc

ghs:	# GCC HP-UX with Trusted Computer Base
	$(BUILD) `$(CAT) SPECIALS` OS=shp \
	 SIGTYPE=psx CHECKPW=sec CRXTYPE=nfs \
	 SPOOLDIR=/var \
	 ACTIVEFILE=/var/news/active \
	 RSHPATH=/usr/bin/remsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 BASELDFLAGS="-lnet -lV3 -lsec" \
	 RANLIB=true CC=gcc

go5:	# GCC 2.7.1 (95q4) SCO Open Server 5.0.x
	$(BUILD) `$(CAT) SPECIALS` OS=sc5 \
	 SIGTYPE=psx CHECKPW=sec LOGINPW=sec \
	 CREATEPROTO=mmdfproto EMPTYPROTO=mmdfproto \
	 SPOOLDIR=/var/spool \
	 ACTIVEFILE=/var/lib/news/active \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="$(GCCCFLAGS) -I/usr/include -L/lib" \
	 BASELDFLAGS="-lsocket -lprot -lx -ltinfo -lm" \
	 RANLIB=true CC=gcc

gsc:	# Santa Cruz Operation
	$(BUILD) `$(CAT) SPECIALS` OS=sco \
	 SIGTYPE=sv4 CHECKPW=sec LOGINPW=sec \
	 CREATEPROTO=mmdfproto EMPTYPROTO=mmdfproto \
	 RSHPATH=/usr/bin/rcmd \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 BASELDFLAGS="-lsocket -lprot -lcrypt_i -lx -los" \
	 RANLIB=true LN=ln CC=gcc

gsg:	# GCC Silicon Graphics
	$(BUILD) `$(CAT) SPECIALS` OS=sgi \
	 SIGTYPE=sv4 CRXTYPE=nfs \
	 MAILSPOOL=/usr/mail \
	 RSHPATH=/usr/bsd/rsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 RANLIB=true CC=gcc

gso:	os_sol.h	# GCC Solaris
	$(BUILD) `$(CAT) SPECIALS` OS=sol \
	 SIGTYPE=psx CHECKPW=psx CRXTYPE=nfs \
	 SPOOLDIR=/var/spool MAILSPOOL=/var/mail \
	 ACTIVEFILE=/usr/share/news/active \
	 RSHPATH=/usr/bin/rsh \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 BASELDFLAGS="-lsocket -lnsl -lgen" \
	 RANLIB=true CC=gcc

gsu:	# GCC SUN-OS
	$(BUILD) `$(CAT) SPECIALS` OS=sun \
	 CRXTYPE=nfs \
	 BASECFLAGS="$(GCCCFLAGS)" \
	 BASELDFLAGS="-ldl" \
	 CC=gcc

gul:	# GCC Ultrix
	$(BUILD) `$(CAT) SPECIALS` OS=ult \

## alpine 0.99+dfsg

=== imap/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #		Internet: MRC@CAC.Washington.EDU
 #
 # Date:		7 December 1989
-# Last Edited:	14 December 2006
+# Last Edited:	18 April 2007
 
 
 # Normal command to build IMAP toolkit:
@@ -86,6 +86,7 @@
 #	 (see lnp, sl4, sl5, and slx)
 # lnp	Linux with Pluggable Authentication Modules (PAM)
 # lmd	Mandrake Linux
+# lr5	RedHat Enterprise 5 and later (same as lfd)
 # lrh	RedHat Linux 7.2 and later
 # lsu	SuSE Linux (same as lrh)
 # lyn	LynxOS
@@ -318,13 +319,19 @@
 
 # Knotheads moved Kerberos and SSL locations on these platforms
 
+# Paul Vixie claims that all FreeBSD versions have working IPv6
+
 bsf:	an
-	$(BUILD) BUILDTYPE=$@ \
+	$(TOUCH) ip6
+	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
 	PASSWDTYPE=pam \
 	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock PAMLDFLAGS=-lpam"
 
+# I assume that Theo did the right thing.
+
 bso:	an
-	$(BUILD) BUILDTYPE=$@ \
+	$(TOUCH) ip6
+	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
 	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
 
 cyg:	an
@@ -339,22 +346,20 @@
 	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
 	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
 
-lfd:	an	# yes, Fedora is different than RHE (at least today it is)
+lfd:	an
 	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
 	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
 	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"
 
+# RHE5 does not have the IPv6 bug
+
+lr5:	an
+	$(TOUCH) ip6
+	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
+	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"
+
 lmd:	an
 	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
 	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/lib/ssl/certs SSLKEYS=/usr/lib/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
 
-lrh lsu:	an
-	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
-	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/share/ssl/certs SSLKEYS=/usr/share/ssl/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"
-
-oxp:	an
-	$(TOUCH) ip6
-	$(BUILD) BUILDTYPE=osx IP=$(IP6) EXTRAAUTHENTICATORS="$(EXTRAAUTHENTICATORS) gss" \
-	PASSWDTYPE=pam \
-	EXTRACFLAGS="$(EXTRACFLAGS) -DMAC_OSX_KLUDGE=1" \

=== imap/src/osdep/unix/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # ========================================================================
-# Copyright 1988-2006 University of Washington
+# Copyright 1988-2007 University of Washington
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -21,7 +21,7 @@
 #		Internet: MRC@CAC.Washington.EDU
 #
 # Date:		11 May 1989
-# Last Edited:	20 December 2006
+# Last Edited:	1 March 2007
 
 
 # Command line build parameters

## alpine 1.10+dfsg

=== imap/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # ========================================================================
-# Copyright 1988-2006 University of Washington
+# Copyright 1988-2007 University of Washington
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -21,7 +21,7 @@
 #		Internet: MRC@CAC.Washington.EDU
 #
 # Date:		7 December 1989
-# Last Edited:	18 April 2007
+# Last Edited:	17 December 2007
 
 
 # Normal command to build IMAP toolkit:
@@ -82,6 +82,7 @@
 # isc	Interactive Systems
 # ldb	Debian Linux
 # lfd	Fedora Core 4
+# ln8	Linux for Nokia N800
 # lnx	Linux with traditional passwords and crypt() in the C library
 #	 (see lnp, sl4, sl5, and slx)
 # lnp	Linux with Pluggable Authentication Modules (PAM)
@@ -92,7 +93,7 @@
 # lyn	LynxOS
 # mct	MachTen
 # mnt	Atari ST Mint (not MacMint)
-# neb	NetBSD/FreeBSD
+# neb	NetBSD
 # nec	NEC UX
 # nto	QNX Neutrine RTP
 # nxt	NEXTSTEP
@@ -118,6 +119,7 @@
 # sol	Solaris (won't work unless "ucbcc" works -- use gso instead)
 # sos	OSF/1 with SecureWare
 # ssn	SUN-OS with shadow password security
+# sua	Windows Vista (Enterprise or Ultima) Subsystem for Unix Applications
 # sun	SUN-OS 4.1 or better (*not* Solaris) (see ssn)
 # sv2	SVR2 on AT&T PC-7300 (incomplete port)
 # sv4	generic SVR4
@@ -306,7 +308,7 @@
 
 # Note on SCO you may have to set LN to "ln".
 
-a32 a41 aix bs3 bsi d-g d54 do4 drs epx ga4 gas gh9 ghp ghs go5 gsc gsg gso gul h11 hpp hpx lnp lyn mct mnt neb nec nto nxt nx3 osf os4 ptx qnx sc5 sco sgi sg6 shp sl4 sl5 slx snx soc sol sos uw2: an
+a32 a41 aix bs3 bsi d-g d54 do4 drs epx ga4 gas gh9 ghp ghs go5 gsc gsg gso gul h11 hpp hpx lnp lyn mct mnt nec nto nxt nx3 osf os4 ptx qnx sc5 sco sgi sg6 shp sl4 sl5 slx snx soc sol sos uw2: an
 	$(BUILD) BUILDTYPE=$@
 
 # If you use sv4, you may find that it works to move it to use the an process.
@@ -325,14 +327,22 @@
 	$(TOUCH) ip6
 	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
 	PASSWDTYPE=pam \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock PAMLDFLAGS=-lpam"
-
-# I assume that Theo did the right thing.
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib PAMLDFLAGS=-lpam"
+
+# I assume that Theo did the right thing for IPv6.  OpenBSD does not have PAM.
 
 bso:	an
 	$(TOUCH) ip6
 	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib"
+
+# Info from Joel Reicher about NetBSD SSL paths.  I assume it has PAM because pam is in NetBSD sources...
+
+neb:	an
+	$(TOUCH) ip6
+	$(BUILD) BUILDTYPE=$@ IP=$(IP6) \
+	PASSWDTYPE=pam \
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/openssl/certs SSLKEYS=/etc/openssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib PAMLDFLAGS=-lpam"
 
 cyg:	an
 	$(BUILD) BUILDTYPE=cyg \
@@ -344,22 +354,18 @@
 
 ldb:	an
 	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/ssl/certs SSLKEYS=/etc/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib MAILSPOOL=/var/mail"
 
 lfd:	an
 	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
-	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos"
+
+ln8:	an
+	$(TOUCH) ip6
+	$(BUILD) BUILDTYPE=slx IP=$(IP6) \
+	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/lib/ssl/certs MAILSPOOL=/var/mail"
+
 
 # RHE5 does not have the IPv6 bug
 
 lr5:	an
-	$(TOUCH) ip6
-	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
-	EXTRACFLAGS="$(EXTRACFLAGS) -I/usr/kerberos/include" \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/etc/pki/tls/certs SSLKEYS=/etc/pki/tls/private GSSDIR=/usr/kerberos LOCKPGM=/usr/sbin/mlock"
-
-lmd:	an
-	$(BUILD) BUILDTYPE=lnp IP=$(IP6) \
-	SPECIALS="SSLINCLUDE=/usr/include/openssl SSLLIB=/usr/lib SSLCERTS=/usr/lib/ssl/certs SSLKEYS=/usr/lib/ssl/private GSSINCLUDE=/usr/include GSSLIB=/usr/lib LOCKPGM=/usr/sbin/mlock"
-

## alpine 2.00-maemo2

=== debian/changelog ===
alpine (2.00-maemo2) unstable; urgency=low

  * Changed section to 'user/network'

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Sat,  2 Jul 2011 18:45:34 -0400

alpine (2.00-maemo1) unstable; urgency=low

  * First Maemo 5 repository upload.

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Sat,  2 Jul 2011 16:40:06 -0400

alpine (2.00) unstable; urgency=low

  * University of Washington unmodified Alpine release 2.00 package

 -- Alpine Contact <alpine-contact@u.washington.edu>  Fri, 22 August 2008 13:33:02 -0700

=== debian/control ===
Source: alpine
Section: user/network
Priority: optional
Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
Standards-Version: 3.6.1.0
Build-Depends: libncurses-dev | libncurses5-dev, libldap-dev | libldap2-dev, libssl-dev, libpam-dev | libpam0g-dev

Package: alpine
Architecture: any
Depends: ${shlibs:Depends}, mime-support
Suggests: exim | mail-transport-agent, spell
Provides: mail-reader
Description: Alpine -- an Alternatively Licensed Program for Internet
 News & Email -- is a tool for reading, sending, and managing
 electronic messages.  Alpine is the successor to Pine and was
 developed by Computing & Communications at the University of
 Washington.  
   Though originally designed for inexperienced email users,
 Alpine supports many advanced features, and an ever-growing number of
 configuration and personal-preference options.
 .
 Homepage: http://www.washington.edu/pine

## alpine 2.00-maemo3

=== debian/changelog ===
alpine (2.00-maemo3) unstable; urgency=low

  * Added icon, tried to fix more debian/control data

 -- Alexander Kozhevnikov <mentalisttraceur@gmail.com>  Sat,  2 Jul 2011 22:03:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: alpine
 Section: user/network
-Priority: optional
+Priority: extra
 Maintainer: Alexander Kozhevnikov <mentalisttraceur@gmail.com>
-Standards-Version: 3.6.1.0
 Build-Depends: libncurses-dev | libncurses5-dev, libldap-dev | libldap2-dev, libssl-dev, libpam-dev | libpam0g-dev
+Standards-Version: 3.7.2
 
 Package: alpine
 Architecture: any
@@ -19,4 +19,113 @@
  Alpine supports many advanced features, and an ever-growing number of
  configuration and personal-preference options.
  .
- Homepage: http://www.washington.edu/pine
+ Homepage: http://www.washington.edu/alpine
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9sHAwEYKzvdPpwAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
+ TVBXgQ4XAAASRElEQVRo3tWZeXCd1XnGf2f9rjZrXyxZXmUj7xvGgG2wMVBI
+ HNIsQJaBpJTJ1nSmk7YznUzSMG2n04ZMh0yzNynpNCxDCAkhLAMGHINt8IJj
+ MMZG3rBly5Zk6Wq5V3f7zukf59O1jZN2SPtHeuw7d/kk3ed9v+d53+e8R2x/
+ /O+9c1BysHvfUfYf7GVwaIzYC6wxGK1Q2uJcjHeA94BAKoUQAu89AglC4J3H
+ e4+UGiE0wnscAiklQmjwHu9JriukkAgknvDaOYmUElAIKRFe4LxGCEnsBFJo
+ fKwQUiGlolj0aIBSHPPvj2yjfzhGK0lMhNISoRSxh0K+iPeeOHbEscPFMR7w
+ 3uE8OO/Ag8DjvEQIh/cCgUQIEEIghUQKgVAGSQAqhUYqhcSgtEKg0VKDUCFI
+ FAKDkBrnFEhP7D3Ke+KiBxTae/j1qz2g6oBBDh89RiabxTmHACQCL0X4cgEe
+ ECJkJ0GNEAKBQAgBCJQSIBRagFAahQClUEKgpEZIhVYarTRKGZSy4bVUaBUh
+ pEErjxQgkCglEULinEcQ7mIcO6QU6FIp5nhfhtHRCZ7f8jJxqYRQCgEIATgQ
+ UkCAmwQyCTbJrjz/mVYamXyhFAIlFUoptNZIqTA6gLbGoKVBG49W4JJnvEMp
+ R4kQgFYxsbMoKfA+RgpwDqQM1NMDQ+PEseT1AweJXYyxJtAcIAYioAAIkJKL
+ wV+QdZ+89zjwAhFkEZ6lTBIS9KCEDH9HykAtKZFCBUoJiZAKPJTiEniLMeFO
+ 4yRIiXceF5eCFkfGsoyMjDM6NoaWKoAvAgWBsGD/pYRc6qAo8PmgYZeIdfIx
+ qQESjXs/yS4ZggSkVCgZ3ispUXKSMhqlNFqpMr2El0hpmVI3Ba1TlIoQlxyl
+ kqBUhEIhBqER0iOzE3lyhQKFQjFkMwbRCva7RSqPFrCfdVRuLZF6ooBY6PAF
+ h8cT/od/4U5QFmw500qilEap8zTS2mCMwWiDMTY8a43WFm0kxmhwMVpVc82G
+ NbRNbWc47RhNT5DL5BhJZxkayFFZUUN1zRR0Ll8kXyji4jhkMIbomyXsbY7C
+ zwWiCRgHs8kjF5XILjPIjAB9QXWRAbCUMsmoSrh/PstGa4yxaGUwJgqBqBCE
+ 1gYlQ3BjoyXG0jFz5lWx6spFTJvWztJVIxzY+za7dxyiWPRMn9nObXdsBOnR
+ pZKjWCrhnQMnEBUedaXH5SB3qya6L6b4dUn8FzFyKsh6IJOIWQahSikDLRLw
+ upzxAN4mmdbaYLQNAtYWoyOMNigVIaTAxZpiXpKqqEUKgzaGtRuWobVmS2sT
+ /X1ZBvtHaWyq48YPrAJAlmJPsRgHKigCz3tApiD6foyc7xGtUPxrQ+EOC6cl
+ 0pwHH7ItUTrwWOvwMFpjtCGyFmM0xhistURRhDWWyIbnQCOL95ahczFNLW3c
+ /We3MHwuw8M/eoE49mitWbdxKffcexd/fPtajhzqxbkgOlkoxhRLcSgzAiSQ
+ /ytNfEAQ/anDbPRUbCkRPV5AXe4SgU1mXCGFQGuNKWc8AW8S8NokgC2pBHQU
+ pYgSGlmrwXnSQ57RdImVqxeyeu1CZs+bxm9eO8rIcBalFFVVKWbPbee6m1Zy
+ 7Y3L+elPXqT/zDCyWIqJYxfKFIAGt0+QXabJ3qwp7gJ3FOwmSD1XRC5xyPh8
+ EMZcmHldznZkLEbrkHWbZFxbIhOC0CbwHyeZmIDRIU9dXT1Ll3fR3NLA0hVd
+ DA2McvJ4/0Wlu+uyDm674zr2vHKIIz2nQwDOxaHYeRApUOsccoWn9KzEvSko
+ vt+S/1uFqAF1g0OqAH6S4yEIjdEKa87TJkrAp6IIay2pVISNokQHGq0Mw0OC
+ wX6oqq5g04fW4BwYY5hSW0WxELN3Z08Z/OSaPXcqn/78zZw83o92SdcSArRT
+ xA0lKl4s4c9C9koTgrKhJwTOyUSgMpTFRLRa63LGzaRYrU2oorE2hdEWKQ1W
+ GwpFz9iIY2wU8nlBa1stN25ajbEGrTWLl83htjuv45WXD3DrHetpa29koD/N
+ 1s37WLh0JvO6O4OdiEsOgQ9RGuCkpPB1hZwKlYeKmA947Et57Fdi4kMC8ZTF
+ KoXFYNBYobHSkFIRFTpFNAk8mhSqIYoiIhuVA3NekhmFwYGYwoSgqrKCmilV
+ zOrqYHZXB1JK5nZ3cudnbqKvd5A9rxwCYGwky5OP7eCZX+5EG8XiZbORiZiD
+ jZUgNMRf1Ux80hA/IkNn3ScpfdkiN1UTnY2QzQI/3eGnOdw0h5saE7cWKTYX
+ 8VM8qYQ2k9yPbAolDZEN1Bvsdwz0gytJikXPjNnt5LJF9u05XO4nAE0ttSxe
+ NofnntwNQOeMFtZuWMy2F98oVyEtEpcphcALgdehFIlHNf4xi/vHHOo7FegB
+ i1FBtPlN4+Q/k0G4854oeUHdLxpp3rwEY025AkkpiaxmbMwxNuoYHYHchKCi
+ wvDB29Yyt7uT+7/zNIV8XAYPoJRk9boFPHT/ZrKZHJVVKZas7OLH33uah3+8
+ mU/cdQPaOYcQAqUVruhDIBKkTprUP1ehnUKlZOIkJdVP1VH7Yn3ZBtiEGkYZ
+ UjLCWhMoYxRSKJxTlIpwbhDSQ6FY1NZV0b1gOh/71PWcGxjFaEVjcy3vXpdf
+ 1c2jD2zh3MAolVUpZndNxRjNQ/c/z0c/uT5saFTi95WUYYclJq2BwBQ1yii0
+ CQ3LaI11migfYZzGYrAyIsJiZWITjMYag9ISiebMGRgajHFx2HkVSzErV3fz
+ 5X+4k7N9w3z9aw8yf/EsOqY1XRLArDltrLqqm7N9Q3TObKG2vpppM5o5NzBK
+ z8FedAAcPL9SCud9cI8XlEqlFVrJCxqUwZiQeWsNkQnvjbVERmGMIS4JRoYV
+ hXxM36kSExlFFElSKcnNt1zBslXz2L5lP3t39TC3exqbPrKGmimVlwRgrGbl
+ lZex59VDXH5VN0qFJGfGc+jQgyZNmKKEQ/nAwXJzUjKxBiopk0kAOlQXq8Pm
+ xNhQ35UUxCXP2BgMDkJDYz2NjRLRJCnkY/K5EouWz8YazbfufYyRdIbvPfCX
+ LFnRdRFw7zzp9Bj1DVOob6hh+6mh8rWm5lpO954jm8mhZVnEoJVEoBGC89lP
+ hGu1JrIm8S+hSYXsW6wJPUEIGB/3pIeLDJ0DrSx3f+2jVFZWMTKcZc8rb/Pr
+ Z3/DD+57AmMM42MTdE5voXvhjEsyn8nk+O59j/Dlv7ubHVvfZM2GReVrH/+T
+ GygUnuGxh7aGOxDMmILYhf1uoody5ie7akKVVJTCGJVMLQy5XNijNrW0MHdB
+ O+0dHRzpGeGlzW/gY8mCRbNwDto7mrls/gzGRic4cfwsJ4/1s/F9K7GRuQj8
+ iWNn+dmDv+at13sB6D0xwLwFHeXrC5bM5NY71vPj7z6NllKErqpksiUMlWiS
+ Qkafz3awCUGgxgTvn89Lhoegtr6O+qZZzJnXxYpV86mrP86ebYc5fvQsq9cs
+ pqGxhpbWBlZdtQAhBE88uo3Ts85x0y2rL8n+9q37efQnW1ixeh4AuYkCxUJc
+ vl5VneLa65fxwA+fCxRSMsyAYulwPglAK2zZmCWitYrIWrTWREaTLyiOHQW8
+ 5rY7r6ciVcmRQ2fZ+ux+eo8P0jlzKs0tDeUd2YWm7PFHXuaeb9xFS1v9JQFs
+ fnI38xfP4I9uuQIAaxWr1y645OeaW+rQWoetn9YKKQXO+fBeqcB5q7FGI4VG
+ eMXEhMAaiVGS4WFBbiLsvoypZPeOwxw5dAZrLStWz+eajcuY291JqiJCCMFo
+ OgNAbX012UyOndsO8OGPX3sRqAOvH+fYkT4+eOtaVl55GadODrJu49JyoBMT
+ eY719JHPFRkdyaBDbVdYoyjFoacqFbivdWhE3ikKcZjp5HI6zIocpIdUcJg6
+ 4tSJc+ze0UNDYx2rrl7Ih25fx9zu6eXMp4fG2f1q8DRzu6dhI8Mj//ECK1Zf
+ hjGajs4mcrkCzzzxKnhYceU8prY3sm/PEdbfsIxiscTIcIaeg73s2LqfzFiO
+ UycHzmvAWoN2HuccWkmsCdOwzLgmPQyImKlTK/HeMpwukR6SxCVobKqiuaWR
+ sXSOa65bzt1f/AA1tdVMqa26iDbfvvfn7H71IADTOpvpfWcA5z3fuOchZs1t
+ 50tfuZ29O99m85O7mT6rlcuv7AZg+qwWamorOX7kDN++9zGOHu4jm8nhnWdi
+ ohAoZJTE6GDchFAoCRMTirFRQank6Zw9nWkdrfSdGmZsJEt1dR2LlnTR1t5E
+ a1sjDY111NRUU19fQ+fMtmSIJcvgn/vVLnbteIu+06GWj6YzFItBlAfeOE7/
+ 2TQ/+ObjHO3pY3honMrKFKmUTQRbgZSSmtpKvPccO9xHW3sjUofNjVYSjA18
+ L5YcLgbvBZlxQS5fQVNTDWvXL2Lu3Lk8+KMXccU8i6/o4sO3r6frshlUVlaE
+ hmYtxgQv7z2kh8ZxzjGSzvDg/c8zNDhKZWUEQKkUo5Qsvz7dO8gP//VJtJZE
+ KcvZM8McefsUU+qqOH1ykO5FM2huqWPdxqWkhzPM7moPNmPuVPRktVFKkRmH
+ 8Ywgm4mproHlq2ZwxZWraGtvprqqhv6+UWrrpnD7HdfT0dlKZWUFqVQqzHkS
+ 8FJKBs6O8G/ffIKzZ4Y4c3qI4XNjSHXeZV64wxIizFJTFZbJj6UU/M0Xv0/r
+ 1HqOHe7jn771ORYvn82Nm1axZv3iMDsCtFHodNozMgLnBmPyhRIV1fV0zmyj
+ pa2KuZd10d7RSjHv6XnnFKUiLFraxaw500ilUqRSqXLmNz+5m94Tg1hrGBwY
+ YdeOtxgdyTI2miVVYdFa/c4AgnU+/1k+V+TQgROkh8a49sbl5QpUVV1BVXXF
+ RVVLnzhRYugcFONqqqd4ZszpZMXly6ipnkJVZRXZsSLHj/TTc+AM1kSsXL2A
+ ioqLaaOUYuf2g7zwzF4msnmkCv5fSEF1TQXvZXnvaW6tI45jlFZcf/NKGhpr
+ 8C7MRyey+dCjku6trJh/j62AdRtXsnjZQmbNmcWUmlpqamo4fXKYX/1sJz1v
+ 9TE8lAEvufUTG+nobLkIvFKKppY6spkcvScGwj7gAhG/1/Wpz91Ea3sD2fE8
+ O18+wNRpjTQ0TUEKwbYtrzORzdM6tSHcgWtvWImKskyprWRoIEPv0VFsFNG9
+ cCavvXKUvt40PpZYE+zEKy8doLqmGikEza0NKCV5Y+/xMN9JdlH/myWE4Jrr
+ lzE6kmXRktmcfKefzU/tYfeOQ1yxZj7NbfU8+p9bmDGrjdr6avSHP7aGo0fe
+ 4dVtb7Ln1UMMnBmjsrKCuCjZv/c41qbQkUEKhRCKZx7fncz3LV3dHYDgFw+/
+ zIIlwaQ558tD3ve6vPe0tNXTOaMFgIVLZuKc488/fR+//Ok2RtNZvvTV23j9
+ tSPs3HGQazcuRVZV1fLCM/vYtb2HifGYiopKpDT8ZudRrIlQMtgIKcMBhYs9
+ Lzy9l8MHe3ll61s8/9Qespkcznna2uspFUu42P1e2Y9jx9oNiy/6TErJRz+5
+ ASkDfUbSWTZ95Gq+fe9jHDxwAjWnY/U9O3fsJ31uHCEURhuEUBRyDmsjlDRI
+ qYLNJvC6VHLc9YX3M29+JzO7prJsVReLl89m3vxOzp4dRkrF+NjEew5gzrwO
+ Pv35m2l61964rqGa0XSG/fuOoaRkzYbFPPCjzRRyRfTjj2wnXyhQUVEZTlYm
+ gUbJicm7wEOoLKuunk99YzUgKJViZHIMtXrtAnZtO8iZ0+fecwCtbQ1UVVeQ
+ yxXKnRigvqGG6993OZuf2sPPH97K1esXU1kZ8eyvdqE6m1feg4zBT4JUyCTr
+ vw28EIJSMWZocJTRkSw9B3vZ/ORuBvvTHD7YS6FQ4sihXgYHRt5zAAP9I+ze
+ cZCOzqayDibXjpfeZNf2gzjnOfjmCUbSGaQSiDULP+sdebx35SAQ4exKTD44
+ D35SbHUNNXR0NoYvPjtCc2tt4t0N7xw9w/DQ+HsOoJSM+dduWML8Ree3mfl8
+ gf37jvHGa0fLx72TjVGsW/wF73w+OcIMFAJZ3lq+G3xZcJNT7WSCcaFwVbKX
+ /n2W955Cvlg2e5Ol1ZjzzWty9BOG6YkDlTI5R02CCODlJa2/XB2UREhZHgxf
+ OFH7PSroJaMUnfid32Y/LrIS4UICRJZPssvjwt/1i5Mjyf8r0Bf/XfE//kw5
+ AO/BJ2C9Sw5qvJiMA18+NP7DXFK8K9v/HW3+EJeWRuD9pADE/yvwIQAry8r+
+ /wYe4L8APMrY1t2BYRMAAAAASUVORK5CYII=
